man(1)

NAME
/plugins - the Profanity /plugins command.

DESCRIPTION
Manage plugins. Passing no arguments lists installed plugins and global plugins which are available for local installation. Global directory for Python plugins is /usr/local/share/profanity/plugins and for C Plugins is /usr/local/lib64/profanity/plugins.

SYNOPSIS
/plugins

/plugins install [<path or URL>]

/plugins update [<path or URL>]

/plugins uninstall [<plugin>]

/plugins unload [<plugin>]

/plugins load [<plugin>]

/plugins reload [<plugin>]

/plugins python_version

ARGUMENTS

install [<path or URL>]
    Install a plugin, or all plugins found in a directory (recursive), or download and install plugin (plugin name is based on basename). And loads it/them.

update [<path or URL>]
    Uninstall and then install the plugin. Plugin name to update is basename.

uninstall [<plugin>]
    Uninstall a plugin.

load [<plugin>]
    Load a plugin that already exists in the plugin directory, passing no argument loads all found plugins. It will be loaded upon next start too unless unloaded.

unload [<plugin>]
    Unload a loaded plugin, passing no argument will unload all plugins.

reload [<plugin>]
    Reload a plugin, passing no argument will reload all plugins.

python_version
    Show the Python interpreter version.

EXAMPLES
/plugins install /home/steveharris/Downloads/metal.py

/plugins install https://raw.githubusercontent.com/profanity-im/profanity-plugins/master/stable/sounds.py

/plugins update /home/steveharris/Downloads/metal.py

/plugins update https://raw.githubusercontent.com/profanity-im/profanity-plugins/master/stable/sounds.py

/plugins uninstall browser.py

/plugins load browser.py

/plugins unload say.py

/plugins reload wikipedia.py